<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.pullLayout.QMUIPullLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/pull_refresh_and_load_more_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/transparent">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/pull_refresh_and_load_more_rv"
        style="@style/recycler_view_bg_style"
        android:background="@color/transparent"
        app:qmui_is_target="true" />

    <com.qmuiteam.qmui.widget.pullLayout.QMUIPullRefreshView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:qmui_action_view_init_offset="-20dp"
        app:qmui_can_over_pull="true"
        app:qmui_need_receive_fling_from_target_view="false"
        app:qmui_pull_edge="top"
        app:qmui_pull_rate="0.2"
        app:qmui_target_view_trigger_offset="wrap" />

    <com.qmuiteam.qmui.widget.pullLayout.QMUIPullLoadMoreView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:qmui_action_view_init_offset="0dp"
        app:qmui_can_over_pull="true"
        app:qmui_pull_load_more_pull_text="@string/txt_load_more_pull_text"
        app:qmui_pull_load_more_release_text="@string/txt_load_more_release_text"
        app:qmui_need_receive_fling_from_target_view="false"
        app:qmui_pull_edge="bottom"
        app:qmui_pull_rate="0.2"
        app:qmui_target_view_trigger_offset="wrap" />
</com.qmuiteam.qmui.widget.pullLayout.QMUIPullLayout>